Bug 235507 - Exp-run for devel/ninja update to 1.9.0
Summary: Exp-run for devel/ninja update to 1.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://gitlab.kitware.com/cmake/cmak...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-05 01:59 UTC by Grzegorz Blach
Modified: 2019-04-16 18:41 UTC (History)
4 users (show)

See Also:
antoine: exp-run+


Attachments
Update to 1.9.0 (916 bytes, patch)
2019-02-05 01:59 UTC, Grzegorz Blach
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Grzegorz Blach freebsd_committer 2019-02-05 01:59:28 UTC
Created attachment 201733 [details]
Update to 1.9.0

Many ports have devel/ninja in their build dependencies. In this case exp-run is required to check if this update don't break any port.
Comment 1 Antoine Brodin freebsd_committer 2019-02-07 07:03:28 UTC
New failures on 11.2 amd64:

+ {"origin"=>"cad/xtrkcad", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"comms/svxlink", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/flightgear", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/krita", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/totem", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/paraview", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/fltk-devel", "phase"=>"build", "errortype"=>"???"}

New failure logs:

http://package22.nyi.freebsd.org/data/112amd64-default-PR235259PR235474PR235507/2019-02-05_16h51m55s/logs/errors/xtrkcad-5.1.2.a.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235259PR235474PR235507/2019-02-05_16h51m55s/logs/errors/svxlink-15.11_5.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235259PR235474PR235507/2019-02-05_16h51m55s/logs/errors/flightgear-2018.3.2.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235259PR235474PR235507/2019-02-05_16h51m55s/logs/errors/krita-4.1.7.101_1.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235259PR235474PR235507/2019-02-05_16h51m55s/logs/errors/totem-3.26.2.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235259PR235474PR235507/2019-02-05_16h51m55s/logs/errors/paraview-5.5.1_8.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235259PR235474PR235507/2019-02-05_16h51m55s/logs/errors/fltk-devel-1.3.x.r10370_4.log
Comment 2 Tobias C. Berner freebsd_committer 2019-02-09 18:28:43 UTC
x11-toolkits/fltk-devel could be fixed by renaming the help-example...
Comment 3 Tobias C. Berner freebsd_committer 2019-02-11 19:26:14 UTC
fltk has been fixed upstream two years ago... danfe@ time for an update maybe...?
https://github.com/fltk/fltk/commit/16774ddc4e000c89e560fde0ced8be9814ef041e
Comment 4 Tobias C. Berner freebsd_committer 2019-03-09 09:55:07 UTC
Has there been any progress here?

mfg Tobias
Comment 5 commit-hook freebsd_committer 2019-03-09 21:04:06 UTC
A commit references this bug:

Author: tcberner
Date: Sat Mar  9 21:03:16 UTC 2019
New revision: 495201
URL: https://svnweb.freebsd.org/changeset/ports/495201

Log:
  games/flightgear: disable the ninja generator

  - with ninja 1.9 duplicate targets are errors [1]
  - disable ninja until the issue [2] is fixed upstream.

  [1] https://github.com/ninja-build/ninja/commit/42eefc854b32b3c1efc27548baaacdebad199853
  [2] https://sourceforge.net/p/flightgear/codetickets/2118/

  PR:		235507

Changes:
  head/games/flightgear/Makefile
Comment 6 commit-hook freebsd_committer 2019-03-09 21:06:10 UTC
A commit references this bug:

Author: tcberner
Date: Sat Mar  9 21:05:23 UTC 2019
New revision: 495202
URL: https://svnweb.freebsd.org/changeset/ports/495202

Log:
  comms/svxlink: disable the ninja generator

  - with ninja 1.9 duplicate targets are errors [1]

  [1] https://github.com/ninja-build/ninja/commit/42eefc854b32b3c1efc27548baaacdebad199853

  PR:		235507

Changes:
  head/comms/svxlink/Makefile
Comment 7 commit-hook freebsd_committer 2019-03-09 21:12:20 UTC
A commit references this bug:

Author: tcberner
Date: Sat Mar  9 21:11:47 UTC 2019
New revision: 495204
URL: https://svnweb.freebsd.org/changeset/ports/495204

Log:
  graphics/krita: disable the ninja generator

  - with ninja 1.9 duplicate targets are errors [1]

  [1] https://github.com/ninja-build/ninja/commit/42eefc854b32b3c1efc27548baaacdebad199853

  PR:		235507

Changes:
  head/graphics/krita/Makefile
Comment 8 commit-hook freebsd_committer 2019-03-11 16:45:33 UTC
A commit references this bug:

Author: danfe
Date: Mon Mar 11 16:45:28 UTC 2019
New revision: 495362
URL: https://svnweb.freebsd.org/changeset/ports/495362

Log:
  - Update FLTK to version 1.3.5 which brings many new features,
    bug fixes, and adaptations to new compilers
  - Switch to the smaller .tar.bz2 distfile and make a few implicit
    dependencies explicit (as reported by `stage-qa')
  - Rename `test/help' demo program to `test/help_dialog' in order
    to unbreak against upcomig `devel/ninja' update to version 1.9.0
  - The ABI is 100% compatible with the previous version so no port
    revision bumps are necessary for consumer ports
  - Chase HTTP redirection in the MASTER_SITES and WWW: line

  PR:	235507 (ninja-related)

Changes:
  head/x11-toolkits/fltk/Makefile
  head/x11-toolkits/fltk/distinfo
  head/x11-toolkits/fltk/files/patch-CMake_macros.cmake
  head/x11-toolkits/fltk/files/patch-documentation_src_examples.dox
  head/x11-toolkits/fltk/files/patch-test_CMakeLists.txt
  head/x11-toolkits/fltk/files/patch-test_Makefile
  head/x11-toolkits/fltk/files/patch-test_demo.menu
  head/x11-toolkits/fltk/files/patch-test_help__dialog.cxx
  head/x11-toolkits/fltk/pkg-descr
  head/x11-toolkits/fltk/pkg-plist
Comment 9 Tobias C. Berner freebsd_committer 2019-03-30 16:40:54 UTC
Moin moin

This includes a workaround for multimedia/totem:
https://people.freebsd.org/~tcberner/patches/ninja-1.9.v2.diff

- cad/xtrkcad - was removed in r496768
- x11-toolkits/fltk-devel - will be removed tomorrow


with that I think everything should be fixed now for a second go at the exp-run.


mfg Tobias
Comment 10 Antoine Brodin freebsd_committer 2019-04-16 05:29:43 UTC
Exp-run looks fine
Comment 11 commit-hook freebsd_committer 2019-04-16 18:39:47 UTC
A commit references this bug:

Author: tcberner
Date: Tue Apr 16 18:39:24 UTC 2019
New revision: 499109
URL: https://svnweb.freebsd.org/changeset/ports/499109

Log:
  devel/ninja: update to 1.9.0

  - multimedia/totem: disable vala bindings, until upstream
    fixes the target creation.

  PR:		235507
  Exp-run by:	antoine
  Submitted by:	gblach
  Approved by:	gnome (kwm)

Changes:
  head/devel/ninja/Makefile
  head/devel/ninja/distinfo
  head/multimedia/totem/Makefile
Comment 12 Tobias C. Berner freebsd_committer 2019-04-16 18:41:44 UTC
Committed. 

Thanks for the maintainership up to this point, Grzegorz.

And thanks for the exp-runs.


mfg Tobias